Subject: Re: mktexpk cannot create bitmap font for umvs

From: Nicolas Goaziou <[email-masked]>
Date: Sun, 01 Sep 2024 01:55:03 +0200

> "Dr. Arne Babenhauserheide" <[email-masked]> writes:
> 
> > I restarted my system after a few weeks of uptime and now my LaTeX files
> > no longer compile: I get the error
> >
> > kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+437/600 --dpi 1037 umvs
> > mktexpk: don't know how to create bitmap font for umvs.
> > mktexpk: perhaps umvs is missing from the map file.
> >
> > However it does work when I call
> >
> > guix shell texlive -- pdflatex -shell-escape file.tex
> >
> > My manifest contains as tex-relevant packages:

[...]

> This setup is not correct, as you're mixing monolithic package
> (`texlive') and an incomplete modular system (`texlive-*').
> 
> According to the manual, if you want to use modular TeX Live, you need
> to provide at least a scheme or a collection, such as
> `texlive-scheme-basic'.  You should also remove `texlive'.
> 
> Does it work if you update your manifest?

No answer in a year. I assume the issue is fixed on your side. I'm
closing this issue. Feel free to reopen it if you think I am wrong.

Regards,
-- 
Nicolas Goaziou